%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Technical Note TN106
% Parameters for 'Three-phase grid-tied current-controlled inverter'
% Copyright imperix ltd, 2022
% dev@imperix.ch
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%% SYSTEM PARAMETERS

SwitchingFreq = 20e3;           % Switching frequency [Hz]
Deadtime = 700e-9;              % Deadtime [s]

ControlFreq = SwitchingFreq;    % Control frequency [Hz]
ControlPeriod = 1/ControlFreq;  % Control period [s]

%% PLANT PARAMETERS

GridFreq = 50;                  % Grid frequency [Hz]
Vg = 230;                       % RMS Grid phase voltage [V]
Lg = 2.5e-3;                    % Grid-side inductor value [H]
Rg = 22e-3;                     % Series equivalent resistance of Lg [ohm]

Vdc = 800;                      % DC bus voltage [V]

%% GRID CURRENT REGULATOR

Tdtot = ControlPeriod;          % Total control loop delay
                                % See PN142 for more details

Kp = Lg/(2*Tdtot);              % Proportional gain of the controller
Ki = Rg/(2*Tdtot);              % Integral gain of the controller